Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface CalendarDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface CalendarDocument

extends XmlObject

A document containing one Calendar(@http://www.bea.com/wli/calendar/schema) element. This is a complex type.

Nested Class Summary
`static interface` | `CalendarDocument.Calendar` An XML Calendar(@http://www.bea.com/wli/calendar/schema).
`static class` | `CalendarDocument.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`CalendarDocument.Calendar` | `addNewCalendar()` Appends and returns a new empty "Calendar" element
`CalendarDocument.Calendar` | `getCalendar()` Gets the "Calendar" element
`void` | `setCalendar(CalendarDocument.Calendar calendar)` Sets the "Calendar" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getCalendar

    CalendarDocument.Calendar getCalendar()

  Gets the "Calendar" element

### setCalendar

    void setCalendar(CalendarDocument.Calendar calendar)

  Sets the "Calendar" element

### addNewCalendar

    CalendarDocument.Calendar addNewCalendar()

  Appends and returns a new empty "Calendar" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD